<?php

function laundry_custom_shortcodes(){



        vc_map(array(
            "name" => "Action Button",
            "base" => "laundry_services_button",
            "description" => __("Action Button For Modal",  "laundry"),
            "category" => 'Laundry',
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "params" => array(
                array(
                    "type" => "textfield",
                    "heading" => "Button Title",
                    "param_name" => "title",
                    "admin_label" => true,
                ),
                array(
                     'type' => 'dropdown',
                     'heading' => esc_html__('Contacts', 'laundry'),
                     'param_name' => 'button_action',
                     'value' => 
                     array(
                            'Default' => 'modal',
                            'contact_page' => '',
                        )
                    ),
                array(
                    "type" => "vc_link",
                    "holder" => "div",
                    "heading" => "Link URL",
                    "param_name" => "link_url",
                    ),
                array(
                    "type" => "textfield",
                    "heading" => "Add Extra Class",
                    "param_name" => "extra_class",
                ),
            )
        ));



        vc_map(array(
            "name" => "Laundry Title",
            "base" => "laundry_title",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Title", "laundry" ),
                  "param_name" =>  "title",
						"holder" => "div",
						"admin_label" => false,
               ),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Title with/without underline ', 'laundry'),
						 'param_name' => 'title_underline',
						 'value' => array(
											'With Underline' => '',
											'Without Underline' => 'underline_none',
										)
					),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('IF Title for dark background ', 'laundry'),
						 'param_name' => 'is_for_dark_bg',
						 'value' => array(
											'Default' => '',
											'Is for dark background' => 'is_dark_bg',
										)
					),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Title align ', 'laundry'),
						 'param_name' => 'text_align',
						 'value' => array(
											'Default' => '',
											'text-left' => 'text-left',
											'text-right' => 'text-right',
										)
					),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
				
            )
        ));

        vc_map(array(
            "name" => "Laundry Theme Block Heading With Link",
            "base" => "laundry_theme_block_heading_link",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Title", "laundry" ),
                  "param_name" =>  "title",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Title URL/Link", "laundry" ),
                  "param_name" =>  "title_link",
						"holder" => "div",
						"admin_label" => false,
               ),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
				
            )
        ));
 
    vc_map(array(
        "name" => "Laundry Box steps",
        "base" => "laundry_box_steps",
        "category" => 'Laundry',
        "as_parent" => array('only' => 'laundry_box_steps_item'),
        "content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "show_settings_on_create" => true,
        "js_view" => 'VcColumnView',
        "params" => array(
			 array(
				  "type" => "dropdown",
				  "heading" => "Column Size",
				  "param_name" => "col_size",
				  "value" => array(
						'Four' => '3',
						'Three' => '4',
						'Two' => '6',
						'One' => '12',
				  ),
			 ),
			 array(
				  "type" => "textfield",
				  "heading" => "Extra Class",
				  "param_name" => "extra_class",
			 ),
        )
    ));
 
    vc_map(array(
        "name" => "Laundry Box Steps Items",
        "base" => "laundry_box_steps_item",
		"category" => 'Laundry',
        "as_child" => array('only' => 'laundry_box_steps_wrap'),
		"content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
		"show_settings_on_create" => true,
        "params" => array(
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => esc_html__( "Title", "laundry" ),
					"param_name" =>  "title",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => esc_html__( "Label", "laundry" ),
					"param_name" =>  "label",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => esc_html__( "Highlight Label", "laundry" ),
					"param_name" =>  "highlight_label",
					"holder" => "div",
					"admin_label" => false,
					"description" => esc_html__("Which Word You Want To Highlight","laundry"),
				),
				 array(
					"type" => "attach_image",
					"class" => "",
					"heading" => esc_html__( "Thumbnail Image", "laundry" ),
					"param_name" =>  "thumbnail_image",
				 ),
				array(
					 'type' => 'textfield',
					 'heading' => esc_html__('Image Class', 'laundry'),
					 'param_name' => 'img_class',
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Link URL", "laundry" ),
					"param_name" =>  "link_url",
				),
				array(
					 'type' => 'textfield',
					 'heading' => esc_html__('Extra Class', 'laundry'),
					 'param_name' => 'extra_class',
				),
        )
    ));
/* 
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_Laundry_Box_Steps_Wrap extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Laundry_Box_Steps_Item extends WPBakeryShortCode {
        }
    } */

	 /* =========================================================================== */
	 /* =========================================================================== */

    vc_map(array(
        "name" => "Laundry Featured price",
        "base" => "laundry_featured_price",
        "category" => 'Laundry',
        "as_parent" => array('only' => 'laundry_featured_price_item'),
        "content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "show_settings_on_create" => true,
        "js_view" => 'VcColumnView',
        "params" => array(
			 array(
				  "type" => "textfield",
				  "heading" => "Extra Class",
				  "param_name" => "extra_class",
			 ),
        )
    ));
 
    vc_map(array(
        "name" => "Laundry Featured Price Items",
        "base" => "laundry_featured_price_item",
        "category" => 'Laundry',
		"as_child" => array('only' => 'laundry_featured_price'),
		"content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
		"show_settings_on_create" => true,
        "params" => array(
				array(
					"type" => "iconpicker",
					"class" => "",
					"heading" => esc_html__( "Icon", "laundry" ),
					"param_name" =>  "icon",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Title before color text", "laundry" ),
					"param_name" =>  "title_bef_color_text",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Title color text", "laundry" ),
					"param_name" =>  "title_color_text",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Title after color text", "laundry" ),
					"param_name" =>  "title_aft_color_text",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Description", "laundry" ),
					"param_name" =>  "description",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					 'type' => 'textfield',
					 'heading' => esc_html__('Extra Class', 'laundry'),
					 'param_name' => 'extra_class',
				),
        )
    ));


	 /* =========================================================================== */
	 /* =========================================================================== */

    vc_map(array(
        "name" => "Laundry Teastimonial",
        "base" => "laundry_testimonial_wrap",
        "category" => 'Laundry',
        "as_parent" => array('only' => 'laundry_testimonial_item'),
        "content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "show_settings_on_create" => true,
        "js_view" => 'VcColumnView',
        "params" => array(
			 array(
				"type" => "attach_image",
				"class" => "",
				"heading" => esc_html__( "Background image", "laundry" ),
				"param_name" =>  "background_img",
			 ),
			 array(
				  "type" => "textfield",
				  "heading" => "Extra Class",
				  "param_name" => "extra_class",
			 ),
        )
    ));

    vc_map(array(
        "name" => "Laundry Testimonial Items",
        "base" => "laundry_testimonial_item",
        "category" => 'Laundry',
        "as_child" => array('only' => 'laundry_testimonial_wrap'),
        "content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "show_settings_on_create" => true,
        "params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Name", "laundry" ),
					"param_name" =>  "name",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__( "Quotes", "laundry" ),
					"param_name" =>  "quotes",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					 'type' => 'textfield',
					 'heading' => esc_html__('Extra Class', 'laundry'),
					 'param_name' => 'extra_class',
				),
        )
    ));

	 /* =========================================================================== */
	 /* =========================================================================== */
 
    vc_map(array(
        "name" => "Laundry Icon thumbnail",
        "base" => "laundry_icon_thumb",
        "category" => 'Laundry',
        "as_parent" => array('only' => 'laundry_icon_thumb_item'),
        "content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "show_settings_on_create" => false,
        "js_view" => 'VcColumnView',
        "params" => array(
			 array(
				  "type" => "textfield",
				  "heading" => "Extra Class",
				  "param_name" => "extra_class",
			 ),
        )
    ));
 
    vc_map(array(
        "name" => "Laundry Icon Thumbnail Items",
        "base" => "laundry_icon_thumb_item",
        "category" => 'Laundry',
		"as_child" => array('only' => 'laundry_icon_thumb'),
		"content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
		"show_settings_on_create" => true,
        "params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Title", "laundry" ),
					"param_name" =>  "title",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__( "Description", "laundry" ),
					"param_name" =>  "description",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "iconpicker",
					"heading" => esc_html__( "Icon", "laundry" ),
					"param_name" =>  "icon",
					"holder" => "div",
					"admin_label" => false,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Link/URL", "laundry" ),
					"param_name" =>  "link_url",
				),
				array(
					 'type' => 'textfield',
					 'heading' => esc_html__('Extra Class', 'laundry'),
					 'param_name' => 'extra_class',
				),
				vc_map_add_css_animation() ,
				array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Animation Delay", "laundry" ),
                  "param_name" =>  "animation_delay",
                  "admin_label" => false,
               ), 
        )
    ));

	 /* =========================================================================== */
	 /* =========================================================================== */
	vc_map(array(
        "name" => "Services Box",
        "base" => "laundry_servicsbox",
        "category" => 'Laundry',
        "as_parent" => array('only' => 'laundry_servicsbox_item'),
        "content_element" => true,
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "show_settings_on_create" => true,
        "js_view" => 'VcColumnView',
        "params" => array(
			 array(
				  "type" => "textfield",
				  "heading" => "Extra Class",
				  "param_name" => "extra_class",
			 ),
        )
    ));
	$fonts_array=laundry_add_fonts_family();
    vc_map(array(
        "name" => "Services Box Items",
        "base" => "laundry_servicsbox_item",
		"as_child" => array('only' => 'laundry_servicsbox'),
		"content_element" => true,
        "category" => 'Laundry',
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "params" => array(
            array(
                "type" => "textfield",
                "holder" => "div",
                "heading" => "Heading",
                "param_name" => "heading",
					  "holder" => "div",
					  "admin_label" => false,
            ),
            array(
                "type" => "textarea",
                "heading" => "Content text",
                "param_name" => "cont_text",
            ),
            array(
					 'type' => 'dropdown',
					 'heading' => esc_html__('Select Icon / Image', 'laundry'),
					 'param_name' => 'option_icon',
					 'value' => array(
										'icon' => 'icon',
										'image' => 'image',
										
									)
				),

				array(
					 'type' => 'dropdown',
					 'heading' => esc_html__('Select Icon', 'laundry'),
					 'param_name' => 'icon',
					 'value' => array(
										'none' => '',
										'washing-machine' => 'washing-machine',
										'hanger-with-clothes' => 'hanger-with-clothes',
										'vacuum-cleaner' => 'vacuum-cleaner',
										'shirt' => 'shirt',
										'Other Icon' => 'other',
									),
					'dependency' => array(
							                'element' => 'option_icon',
							                'value' => 'icon',
							            ),
				),
				$fonts_array[0],
				$fonts_array[1],
				$fonts_array[2],
				$fonts_array[3],
				$fonts_array[4],
				$fonts_array[5],
				$fonts_array[6],
				 array(
                  "type" => "attach_image",
                  "class" => "",
                  "heading" => esc_html__( "Thumbnail", "laundry" ),
                  "param_name" =>  "thumbnail",
                        "holder" => "div",
                        "admin_label" => false,
					'dependency' => array(
	                'element' => 'option_icon',
	                'value' => 'image',
	            					),
               ),
            array(
                "type" => "textfield",
                "heading" => "Link",
                "param_name" => "link_url",
            ),
				array(
					 'type' => 'dropdown',
					 'heading' => esc_html__('Background theme color', 'laundry'),
					 'param_name' => 'theme_color',
					 'value' => array(
										'None' => '',
										'Blue' => 'fill-bg-1',
										'Gray' => 'fill-bg-2',
										'green' => 'fill-bg-3',
										'black' => 'fill-bg-4',
									)
				),
            array(   
                "type" => "textfield",
                "heading" => "Add Extra Class",
                "param_name" => "extra_class",
            ),
        )
    ));

    /* =========================================================================== */
     /* =========================================================================== */

    vc_map(array(
        "name" => "Laundry Counterbox Item",
        "base" => "laundry_counterbox_item",
        "category" => 'Laundry',
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "params" => array(
            array(
                "type" => "textfield",
                "holder" => "div",
                "heading" => "Title",
                "param_name" => "title",
				"admin_label" => true,
            ),
            array(
                "type" => "iconpicker",
                "heading" => "Icon",
                "param_name" => "icon",
            ),
            array(
                "type" => "textfield",
                "holder" => "span",
                "heading" => "Counter Value(must be numeric)",
                "param_name" => "count_number",
				"admin_label" => false,
            ),
			array(
                "type" => "textfield",
                "holder" => "span",
                "heading" => "Counter HTML(E.g.: 50 000)",
                "param_name" => "content",
				"admin_label" => false,
            ),
            array(
                "type" => "textfield",
                "holder" => "span",
                "heading" => "After Counter Number",
                "param_name" => "after_count_number",
                "admin_label" => false,
            ),
			array(
                "type" => "textfield",
                "holder" => "span",
                "heading" => "Speed(must be numeric)",
                "param_name" => "number_scrolling_speed",
				"admin_label" => false,
            ),
            array(
                "type" => "textfield",
                "heading" => "Add Extra Class",
                "param_name" => "extra_class",
            ),
        )
    ));

	 /* =========================================================================== */
	 /* =========================================================================== */

    vc_map(array(
        "name" => "Laundry Info Icon Box Items",
        "base" => "laundry_info_iconbox_item",
        "category" => 'Laundry',
        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
        "params" => array(
            array(
                "type" => "textfield",
                "holder" => "div",
                "heading" => "Title",
                "param_name" => "title",
					 "holder" => "div",
					 "admin_label" => false,
            ),
            array(
                "type" => "textarea",
                "heading" => "Content text",
                "param_name" => "cont_text",
            ),
            array(
                "type" => "iconpicker",
                "heading" => "Icon",
                "param_name" => "icon",
            ),
            array(
                "type" => "textfield",
                "holder" => "div",
                "heading" => "Link",
                "param_name" => "link_url",
            ),
             vc_map_add_css_animation() ,
				array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Animation Delay", "laundry" ),
                  "param_name" =>  "animation_delay",
                  "admin_label" => false,
               ), 
            array(
                "type" => "textfield",
                "heading" => "Add Extra Class",
                "param_name" => "extra_class",
            ),
        )
    ));

	
	 /* =========================================================================== */
	 /* =========================================================================== */

        vc_map(array(
            "name" => "Laundry Blog posts",
            "base" => "laundry_post_loop",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "loop",
                  "class" => "",
                  "heading" => esc_html__( "Select post loop", "laundry" ),
                  "param_name" =>  "post_loop",
               ),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Layout', 'laundry'),
						 'param_name' => 'layout',
						 'value' => array(
											'Default' => '',
											'Card view' => 'card',
										)
					),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Pagination', 'laundry'),
						 'param_name' => 'is_pagination',
						 'value' => array(
											'No pagination or post navigation' => '',
											'Post Navigation' => 'navigation',
											'Post Ajax load mote' => 'ajax-load',
										)
					),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
				
            )
        ));

/**
 * Add Shortcode To Visual Composer
 */
$ct = get_posts('post_type="template"&numberposts=-1');

$template = array();
if ($ct) {
    foreach ($ct as $ctform) {
        $template[$ctform->post_title] = $ctform->ID;
    }
} else {
    $template[__('No Template  found', 'js_composer')] = 0;
}

	vc_map(array(
    "name" => "Custom Template",
    "base" => "laundry_custom_template",
    "description" => __("Custom Template", "laundry"),
    "category" => 'Laundry',
   	"icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
    "params" => array(	
    	  array(
            'type' => 'dropdown',
            'heading' => __('Select Template', 'js_composer'),
            'param_name' => 'custom_template_id',
            'value' => $template,
            'save_always' => true,
            'description' => __('Choose previously created template from the drop down list.', 'js_composer'),

           
        ),
    	     )
));

		  
        vc_map(array(
            "name" => "Laundry Map",
            "base" => "laundry_map",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Latitude Number", "laundry" ),
                  "param_name" =>  "google_map_lat",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "attach_image",
                  "class" => "",
                  "heading" => esc_html__( "Marker Image", "laundry" ),
                  "param_name" =>  "marker_img",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Langitude Number", "laundry" ),
                  "param_name" =>  "google_map_lan",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Zoom", "laundry" ),
                  "param_name" =>  "zoom",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Height", "laundry" ),
                  "param_name" =>  "height",
						"holder" => "div",
						"admin_label" => false,
               ),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Unique ID', 'laundry'),
						 'param_name' => 'unqid',
						 'value' => array(
						 'unq' . str_replace('.','', str_replace(' ', '', microtime() ) ) . rand(1, 999) => 'unq' . str_replace('.','', str_replace(' ', '', microtime() ) ) . rand(1, 999),
						)
					),
				
            )
        ));

			
			
        vc_map(array(
            "name" => "Laundry Team Member",
            "base" => "laundry_team_member",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Team members name", "laundry" ),
                  "param_name" =>  "team_member_name",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Team members designation", "laundry" ),
                  "param_name" =>  "team_member_designation",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "attach_image",
                  "class" => "",
                  "heading" => esc_html__( "Team members photo", "laundry" ),
                  "param_name" =>  "team_member_photo",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "heading" => esc_html__( "Link URL", "laundry" ),
                  "param_name" =>  "link_url",
               ),
               vc_map_add_css_animation() ,
				array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Animation Delay", "laundry" ),
                  "param_name" =>  "animation_delay",
                  "admin_label" => false,
               ), 
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),

            )
        ));

		vc_map(array(
	        "name" => "Laundry Package Wrap",
	        "base" => "laundry_package_wrap",
	        "category" => 'Laundry',
	        "as_parent" => array('only' => 'laundry_package'),
	        "content_element" => true,
	        "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
	        "show_settings_on_create" => true,
	        "js_view" => 'VcColumnView',
	        "params" => array(
				 array(
					  "type" => "textfield",
					  "heading" => "Extra Class",
					  "param_name" => "extra_class",
				 ),
	        )
	    ));

        vc_map(array(
            "name" => "Laundry Package",
            "base" => "laundry_package",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
			"as_child" => array('only' => 'laundry_package_wrap'),
			"content_element" => true,
            "category" => 'Laundry',
            "params" => array(

                array(
                  "type" => "attach_image",
                  "class" => "",
                  "heading" => esc_html__( "Special Badge Image", "laundry" ),
                  "param_name" =>  "badge_image",
                        "holder" => "div",
                        "admin_label" => false,
               ),

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Package Title", "laundry" ),
                  "param_name" =>  "package_title",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Package Regular Prices", "laundry" ),
                  "param_name" =>  "regular_price",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Special Price", "laundry" ),
                  "param_name" =>  "special_price",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Package Quantity", "laundry" ),
                  "param_name" =>  "package_quantity",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Package Subtitle", "laundry" ),
                  "param_name" =>  "package_subtitle",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Special Offer", "laundry" ),
                  "param_name" =>  "special_offer",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textarea_html",
                  "class" => "",
                  "heading" => esc_html__( "Package Content", "laundry" ),
                  "param_name" =>  "content",
                    "holder" => "div",
                    "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Package Button Text", "laundry" ),
                  "param_name" =>  "button_text",
                    "holder" => "div",
                    "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Package Button Link", "laundry" ),
                  "param_name" =>  "button_link",
                    "holder" => "div",
                    "admin_label" => false,
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Package Bg Color", "laundry" ),
                  "param_name" =>  "title_bg_color",
                        "holder" => "div",
                        "admin_label" => false,
                        "value" => "#bdbdbd",
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Package text Color", "laundry" ),
                  "param_name" =>  "title_text_color",
                        "holder" => "div",
                        "admin_label" => false,
                        "value" => "#fff",
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Regular Price Color", "laundry" ),
                  "param_name" =>  "regular_price_color",
                        "holder" => "div",
                        "admin_label" => false,
                        "value" => "#686868",
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Special Price Color", "laundry" ),
                  "param_name" =>  "special_price_color",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Quantity Text Color", "laundry" ),
                  "param_name" =>  "quantity_text_color",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Subtitle Text Color", "laundry" ),
                  "param_name" =>  "sub_text_color",
                        "holder" => "div",
                        "admin_label" => false,
                        "value" => "#686868",
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Button Bg Color", "laundry" ),
                  "param_name" =>  "button_bg_color",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "colorpicker",
                  "class" => "",
                  "heading" => esc_html__( "Title Shaodow Color", "laundry" ),
                  "param_name" =>  "title_shadow_color",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                         'type' => 'textfield',
                         'heading' => esc_html__('Extra Class', 'laundry'),
                         'param_name' => 'extra_class',
                    ), 
                 vc_map_add_css_animation() ,
               
                array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Animation Delay", "laundry" ),
                  "param_name" =>  "animation_delay",
                  "admin_label" => false,
               ),              
            )
        ));

			
        vc_map(array(
            "name" => "Laundry Services Box",
            "base" => "laundry_services_box_wrap",
            "category" => 'Laundry',
            "as_parent" => array('only' => 'laundry_services_box_item'),
            "content_element" => true,
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "show_settings_on_create" => true,
            "js_view" => 'VcColumnView',
            "params" => array(
                 array(
                      "type" => "textfield",
                      "heading" => "Extra Class",
                      "param_name" => "extra_class",
                 ),
            )
        ));

            
        vc_map(array(
            "name" => "Laundry Services Box Item",
            "base" => "laundry_services_box_item",
            "as_child" => array('only' => 'laundry_services_box_wrap'),
            "content_element" => true,
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Services Box Title", "laundry" ),
                  "param_name" =>  "title",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textarea",
                  "class" => "",
                  "heading" => esc_html__( "Services box description", "laundry" ),
                  "param_name" =>  "description",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "attach_image",
                  "class" => "",
                  "heading" => esc_html__( "Thumbnail", "laundry" ),
                  "param_name" =>  "thumbnail",
                        "holder" => "div",
                        "admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "heading" => esc_html__( "Link URL", "laundry" ),
                  "param_name" =>  "link_url",
               ),
                    array(
                         'type' => 'textfield',
                         'heading' => esc_html__('Extra Class', 'laundry'),
                         'param_name' => 'extra_class',
                    ),              
            )
        ));
			
        vc_map(array(
            "name" => "Laundry History Tab",
            "base" => "laundry_history_tab",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),				
            )
        ));


		  
        vc_map(array(
            "name" => "Laundry Pricing List",
            "base" => "laundry_pricing_list",
            "as_child" => array('only' => 'laundry_pricing_list_tab'),
            "content_element" => true,
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
					
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('No Of Post', 'laundry'),
						 'param_name' => 'posts_per_page',
						 "value" =>  10
					),	
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Tab View', 'laundry'),
						 'param_name' => 'tab_view',
						 'value' => array(
								'On' => 1,
								'Off' => 0,
							)
					),
            )
        ));


        vc_map(array(
            "name" => "Laundry Accordion",
            "base" => "laundry_accordion",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Accordion Title", "laundry" ),
                  "param_name" =>  "accordion_title",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textarea_html",
                  "class" => "",
                  "heading" => esc_html__( "Accordion Content", "laundry" ),
                  "param_name" =>  "accordion_content",
				  "holder" => "div",
						
               ),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Unique ID', 'laundry'),
						 'param_name' => 'unqid',
						 'value' => array(
											'unq' . str_replace('.','', str_replace(' ', '', microtime() ) ) . rand(1, 999) => 'unq' . str_replace('.','', str_replace(' ', '', microtime() ) ) . rand(1, 999),
										)
					),
				
            )
        ));

			
        vc_map(array(
            "name" => "Laundry Contact Info",
            "base" => "laundry_contact_info",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Address Title", "laundry" ),
                  "param_name" =>  "address_title",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Address 1st line", "laundry" ),
                  "param_name" =>  "address_1st_line",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Address 2nd line", "laundry" ),
                  "param_name" =>  "address_2nd_line",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Phone Title", "laundry" ),
                  "param_name" =>  "phone_title",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Phone", "laundry" ),
                  "param_name" =>  "phone",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Link Title", "laundry" ),
                  "param_name" =>  "link_title",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "vc_link",
                  "class" => "",
                  "heading" => esc_html__( "Link 1st", "laundry" ),
                  "param_name" =>  "link_1st",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "vc_link",
                  "class" => "",
                  "heading" => esc_html__( "Link 2nd", "laundry" ),
                  "param_name" =>  "link_2nd",
						"holder" => "div",
						"admin_label" => false,
               ),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
            )
        ));

			
        vc_map(array(
            "name" => "Laundry Social Icon Links",
            "base" => "laundry_social_icon_links",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Facebook", "laundry" ),
                  "param_name" =>  "facebook",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Twitter", "laundry" ),
                  "param_name" =>  "twitter",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "LinkedIn", "laundry" ),
                  "param_name" =>  "linkedin",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Instagram", "laundry" ),
                  "param_name" =>  "instagram",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Youtube", "laundry" ),
                  "param_name" =>  "youtube",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Pinterest", "laundry" ),
                  "param_name" =>  "pinterest",
						"holder" => "div",
						"admin_label" => false,
               ),
               array(
                  "type" => "textfield",
                  "class" => "",
                  "heading" => esc_html__( "Vimeo", "laundry" ),
                  "param_name" =>  "vimeo",
						"holder" => "div",
						"admin_label" => false,
               ),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
            )
        ));


        vc_map(array(
            "name" => "Laundry Blog Posts",
            "base" => "laundry_post_loop",
            "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
            "category" => 'Laundry',
            "params" => array(

               array(
                  "type" => "loop",
                  "class" => "",
                  "heading" => esc_html__( "Select post loop", "laundry" ),
                  "param_name" =>  "post_loop",
               ),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Layout', 'laundry'),
						 'param_name' => 'layout',
						 'value' => array(
											'Default' => '',
											'Card view' => 'card',
										)
					),
					array(
						 'type' => 'dropdown',
						 'heading' => esc_html__('Pagination', 'laundry'),
						 'param_name' => 'is_pagination',
						 'value' => array(
											'No pagination or post navigation' => '',
											'Post Navigation' => 'navigation',
											'Post Ajax load mote' => 'ajax-load',
										)
					),
					array(
						 'type' => 'textfield',
						 'heading' => esc_html__('Extra Class', 'laundry'),
						 'param_name' => 'extra_class',
					),
          
            )
        ));

		vc_map(array(
		    "name" => "Coupons",
		    "base" => "laundry_coupns",
		    "icon" =>  LAUNDRY_THEME_URI . '/images/laundry-icon.png',
		    "category" => 'Laundry',
		    "params" => array(
		        array(
		            'type' => 'textfield',
		            'heading' => esc_html__('Posts Per Page', 'laundry'),
		            'param_name' => 'per_page',
		            'value' => 3
		        ),
		        array(
		            'type' => 'textfield',
		            'heading' => esc_html__('Extra Class', 'laundry'),
		            'param_name' => 'extra_class',
		        )
		    )
		));
	
    //
} //end of class


add_action('vc_before_init', 'laundry_custom_shortcodes');


if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_laundry_box_steps extends WPBakeryShortCodesContainer{
		
    }
	class WPBakeryShortCode_laundry_box_steps_item extends WPBakeryShortCode{
		
    }
	class WPBakeryShortCode_laundry_servicsbox extends WPBakeryShortCodesContainer{
		
    }
	class WPBakeryShortCode_laundry_servicsbox_item extends WPBakeryShortCode{
		
    }
    class WPBakeryShortCode_laundry_services_box_wrap extends WPBakeryShortCodesContainer{
        
    }
    class WPBakeryShortCode_laundry_services_box_item extends WPBakeryShortCode{
        
    }
    class WPBakeryShortCode_laundry_package_wrap extends WPBakeryShortCodesContainer{
        
    }

    class WPBakeryShortCode_laundry_package extends WPBakeryShortCode{
        
    }

	class WPBakeryShortCode_laundry_featured_price extends WPBakeryShortCodesContainer{
		
    }
	class WPBakeryShortCode_laundry_featured_price_item extends WPBakeryShortCode{
		
    }
	class WPBakeryShortCode_laundry_icon_thumb extends WPBakeryShortCodesContainer{
		
    }
	class WPBakeryShortCode_laundry_icon_thumb_item extends WPBakeryShortCode{
		
    }

 	class WPBakeryShortCode_laundry_pricing_list_tab_wrap extends WPBakeryShortCodesContainer{
		
    }

	class WPBakeryShortCode_laundry_pricing_list_tab extends WPBakeryShortCodesContainer{
		
    }
	class WPBakeryShortCode_laundry_pricing_list extends WPBakeryShortCode{
		
    }

	class WPBakeryShortCode_Laundry_Testimonial_Wrap extends WPBakeryShortCodesContainer {
	
	}
	class WPBakeryShortCode_Laundry_Testimonial_Item extends WPBakeryShortCode {
	
	}
    class WPBakeryShortCode_laundry_services_button extends WPBakeryShortCode {
    
    }
}