<?php
/**
 * Template Name: Single Service
 * Template Post Type: post
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 * @package Laundry_Services
 */
get_header();
?>
<div class="page-content">
    <div class="container">
        <h1 class="title-underline h-sm"><?php the_title(); ?></h1>
    </div>
    <div class="two-columns service-pages">
        <div class="container">
            <div class="row">
                <div class="col-md-4 col-lg-3">
                    <?php get_sidebar('services'); ?>
                </div>
                <div class="divider-lg visible-xs"></div>
                <div class="col-md-8 col-lg-9">
                    <div>
                        <?php the_post_thumbnail('laundry-service-full') ?>
                    </div>
                    <div class="divider divider-47"></div>
                      <?php
                    while (have_posts()) : the_post();
                            the_content();
                    endwhile; // End of the loop.
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
get_footer();
